=== src/mod/languages/mod_spidermonkey_skel/Makefile ===

switch_srcdir=../../../..
LOCAL_CFLAGS=
LOCAL_LDFLAGS=
LOCAL_LIBADD=
include ../mod_spidermonkey/sm.mak
