=== libs/voipcodecs/debian/changelog ===
voipcodecs (0.0.1) unstable; urgency=low

  [ Steve Underwood ]
  * Begun

 -- Steve Underwood <steveu@coppice.org>  Thu,  7 Feb 2008 09:53:06 +0300
